#app *,
#app *::before,
#app *::after {
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}

/* перебиваем стили для ссылок из block.css (прилетают с хедером и футором для лк) */
#app .tmst-breadcrumbs__home,
#app .tmst-breadcrumbs__item:not(.tmst-breadcrumbs__item_current),
#app .tmst-order-details__product-title a,
#app .tmst-purchased__product-details__action > a,
#app .tmst-purchased__product-cta-details > a,
#app .tmst-purchased__details__product-title,
#app .tmst-main__card__title,
#app a.tmst-main__card__footer-link {
	color: var(--text-color, #000000);
}

#allrecords a.tlk-profile__regular-button,
#allrecords a.tlk-profile__cancel-button {
	color: unset;
}

html {
	font-size: 16px;
	margin-right: 0 !important;
	height: 100%;
}

body {
	height: 100%;
	margin: 0px;
	scroll-behavior: smooth;
	text-rendering: optimizeSpeed;
	letter-spacing: 0em;
	font-family:
		'Arial',
		Roboto,
		'Open Sans',
		sans-serif,
		-apple-system,
		BlinkMacSystemFont,
		'Segoe UI',
		Oxygen,
		Cantarell,
		'Helvetica Neue';
	overflow-x: hidden;
}

/* Изображения */
#app img {
	max-width: 100%;
	display: block;
	-o-object-fit: cover;
	object-fit: cover;
}

/* Поля */
[class*='tlk-input'],
[class*='tlk-textarea'] {
	font: inherit;
}

[class*='tlk-textarea'] {
	resize: none;
}

[class*='tlk-input'],
[class*='tlk-textarea'],
[class*='tlk-input']::-webkit-input-placeholder,
[class*='tlk-textarea']::-webkit-input-placeholder,
[class*='tlk-input']::-moz-placeholder,
[class*='tlk-textarea']::-moz-placeholder,
[class*='tlk-input']:-ms-input-placeholder,
[class*='tlk-textarea']:-ms-input-placeholder,
[class*='tlk-input']::-ms-input-placeholder,
[class*='tlk-textarea']::-ms-input-placeholder,
[class*='tlk-input']::placeholder,
[class*='tlk-textarea']::placeholder {
	font-family:
		'Arial',
		Roboto,
		'Open Sans',
		sans-serif,
		-apple-system,
		BlinkMacSystemFont,
		'Segoe UI',
		Oxygen,
		Cantarell,
		'Helvetica Neue';
	font-size: 16px;
	font-weight: 500;
	outline: none;
	resize: none;
	border-radius: 0;
	-webkit-border-radius: 0;
	-webkit-appearance: none;
	-webkit-transition: 0.3s ease;
	-o-transition: 0.3s ease;
	-moz-transition: 0.3s ease;
	-ms-transition: 0.3s ease;
	transition: 0.3s ease;
}

[class*='tlk-input']::placeholder,
[class*='tlk-textarea']::placeholder {
	color: rgba(204, 204, 204);
}

[class*='tlk-input']:active,
[class*='tlk-input']:focus,
[class*='tlk-textarea']:active,
[class*='tlk-textarea']:focus {
	outline: none !important;
	-webkit-box-shadow: none !important;
	box-shadow: none !important;
}

[class*='tlk-input']::-ms-clear,
[class*='tlk-textarea']::-ms-clear,
[class*='tlk-input']::-ms-reveal,
[class*='tlk-textarea']::-ms-reveal {
	display: none;
	width: 0;
	height: 0;
}

[class*='tlk-input']::-webkit-search-decoration,
[class*='tlk-textarea']::-webkit-search-decoration,
[class*='tlk-input']::-webkit-search-cancel-button,
[class*='tlk-textarea']::-webkit-search-cancel-button,
[class*='tlk-input']::-webkit-search-results-button,
[class*='tlk-textarea']::-webkit-search-results-button,
[class*='tlk-input']::-webkit-search-results-decoration,
[class*='tlk-textarea']::-webkit-search-results-decoration {
	display: none;
}

/* Кнопки */
[class*='tlk-btn_reset'] {
	margin: 0px;
	padding: 0px;
	border: none;
	color: inherit;
	background-color: transparent;
	font: inherit;
	cursor: pointer;
}

[class*='tlk-btn_reset']:active,
[class*='tlk-btn_reset']:focus {
	outline: none;
}

[class*='tlk-btn_reset']::-moz-focus-inner {
	border: 0;
}

/* Ссылки */
[data-field='tlk-link'] {
	color: inherit;
	-webkit-transition: 0.3s ease;
	-o-transition: 0.3s ease;
	transition: 0.3s ease;
}

[data-field='tlk-link']:hover,
[data-field='tlk-link']:active {
	text-decoration: none;
	color: inherit;
}

/* Иконки */
#app svg {
	-webkit-transition:
		fill 0.3s ease,
		-webkit-transform 0.3s ease;
	transition:
		fill 0.3s ease,
		-webkit-transform 0.3s ease;
	-o-transition:
		fill 0.3s ease,
		transform 0.3s ease;
	-webkit-transition:
		fill 0.3s ease,
		opacity 0.3s ease,
		-webkit-transform 0.3s ease;
	transition:
		fill 0.3s ease,
		opacity 0.3s ease,
		-webkit-transform 0.3s ease;
	-o-transition:
		fill 0.3s ease,
		transform 0.3s ease,
		opacity 0.3s ease;
	transition:
		fill 0.3s ease,
		transform 0.3s ease,
		opacity 0.3s ease;
	transition:
		fill 0.3s ease,
		transform 0.3s ease,
		opacity 0.3s ease,
		-webkit-transform 0.3s ease;
	transition:
		fill 0.3s ease,
		transform 0.3s ease,
		-webkit-transform 0.3s ease;
}

/* Медиа */
#app iframe,
#app video {
	display: block;
	border: none;
	outline: none;
}

/* Для браузеров с отключенными анимациями */
@media (prefers-reduced-motion: reduce) {
	#app * {
		-webkit-animation-duration: 0.01ms !important;
		animation-duration: 0.01ms !important;
		-webkit-animation-iteration-count: 1 !important;
		animation-iteration-count: 1 !important;
		-webkit-transition-duration: 0.01ms !important;
		-o-transition-duration: 0.01ms !important;
		transition-duration: 0.01ms !important;
		scroll-behavior: auto !important;
	}
}
#allrecords {
	position: relative;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
	min-height: 100%;
}

#app {
	position: relative;
	-webkit-box-flex: 1;
	-ms-flex: 1 0 auto;
	flex: 1 0 auto;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
	min-height: 100%;
}

.tlk-widget-section {
	margin-bottom: 30px;
}

.tlk-page iframe {
	position: absolute;
	top: 0px;
	left: 0;
	bottom: 0px;
	right: 0px;
	width: 100%;
	height: 100%;
}

.tlk-courses {
	-webkit-box-flex: 1;
	-ms-flex: 1 0 auto;
	flex: 1 0 auto;
}

.tlk-courses_page {
	padding-left: 50px;
}

.tlk-btn {
	position: relative;
	width: 100%;
	padding: 10px 50px;
	border-radius: 30px;
	border: 1px solid transparent;
	font-size: 16px;
	-webkit-transition:
		background-color 0.3s ease-in-out,
		color 0.3s ease-in-out,
		border-color 0.3s ease-in-out;
	-o-transition:
		background-color 0.3s ease-in-out,
		color 0.3s ease-in-out,
		border-color 0.3s ease-in-out;
	transition:
		background-color 0.3s ease-in-out,
		color 0.3s ease-in-out,
		border-color 0.3s ease-in-out;
}

.tlk-btn:disabled {
	opacity: 0.6;
	cursor: default;
}

.tlk-btn.tlk-btn_gray,
.tlk-btn.tlk-btn_gray:hover {
	background-color: #181818;
	color: #fff;
}

.tlk-btn_link {
	display: inline-block;
	text-decoration: none;
}

.tlk-btn_text {
	display: inline-block;
	width: auto;
	padding: 0px;
	border: none;
	border-radius: 0px;
}

.tlk-btn_icon {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	justify-content: center;
}

.tlk-btn_white,
.tlk-btn_white:hover {
	border-color: #333;
}

.tlk-btn_white-black,
.tlk-btn_white-black:hover {
	color: #000;
	border: 2px solid #000;
}

.tlk-btn_pd30 {
	padding: 10px 30px;
}

.tlk-btn_pd25 {
	padding: 10px 25px;
}

.tlk-btn_accent {
	background-color: #f1876a;
	color: #fff;
}

.tlk-btn_accent:hover {
	background-color: #f87458;
}

.tlk-btn_black {
	background-color: #000;
	color: #fff;
}

.tlk-btn_black:hover {
	background-color: #222;
}

.tlk-btn_fz14 {
	font-size: 14px;
}

/* Сброс стилей для маски телефона */
.tlk-form__item .t-input {
	border: none;
	outline: none;
}

.tlk-form__item .t-input::placeholder {
	color: #cccccc;
}

.tlk-input,
.tlk-form__item .t-input-phonemask__wrap {
	width: 100%;
	height: 40px;
	padding: 0 10px;
	font-size: 1em;
	font-weight: 400;
	letter-spacing: 0.5px;
	color: unset;
	background: transparent;
	border: 1px solid #b5b5b5;
}
.tlk-form__item .t-input-phonemask__wrap .t-input-phonemask__select {
	font: inherit;
}
.tlk-form__item .t-input-phonemask {
	font: inherit;
}

.tlk-input:disabled {
	opacity: 0.4;
	background: #eeeeee;
}

.tlk-form__item .t-input-phonemask__wrap:has(.tlk-input_error) {
	border-color: #f95d51;
}

.tlk-input_code {
	max-width: 35px;
	padding: 0px;
	background-color: transparent;
	border: none;
	border-bottom: 1px solid #e0e0e0;
	text-align: center;
	font-size: 34px;
	line-height: 40px;
}

.tlk-input_code:disabled {
	background-color: transparent;
	opacity: 0.3;
	cursor: default;
}

.tlk-input_error,
.tlk-input_error:focus {
	border-color: #f95d51;
}

.tlk-input-title {
	margin-bottom: 6px;
	display: flex;
	align-items: center;
}

.tlk-input-error {
	display: none;
	margin-top: 5px;
	font-size: 13px;
}

.tlk-input-error_error {
	color: #ff0000;
}

.tlk-input-error_success {
	color: #62c584;
}

.tlk-input-error_all {
	margin: 0px;
	padding: 25px 10px;
	color: #fff;
	text-align: center;
	font-size: 16px;
	font-weight: 400;
	line-height: 20px;
}

.tlk-input-error_all.tlk-input-error_error {
	background-color: #f95d51;
}

.tlk-input-error_all.tlk-input-error_success {
	background-color: #62c584;
}

.tlk-input-error_show {
	display: block;
}

.tlk-loadicon {
	display: none;
	position: absolute;
	top: 50%;
	left: 50%;
	width: 22px;
	height: 22px;
	-webkit-transform: translate(-50%, -50%);
	-ms-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
}

.tlk-loadicon_show {
	display: block;
}

.tlk-loadicon:before {
	content: 'LoadingвЂ¦';
	position: absolute;
	top: 0;
	left: 0;
	width: 20px;
	height: 20px;
}

.tlk-loadicon:not(:required):before {
	content: '';
	border-radius: 50%;
	border: 3px solid #a0a0a0;
	border-top-color: #f1f1f1;
	animation: spinner 0.9s linear infinite;
	-webkit-animation: spinner 0.9s linear infinite;
}

@keyframes spinner {
	to {
		-webkit-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}

@-webkit-keyframes spinner {
	to {
		-webkit-transform: rotate(360deg);
	}
}

.tlk-password-toggle {
	display: block;
	position: absolute;
	bottom: 7px;
	right: 10px;
	width: 25px;
	height: 20px;
	cursor: pointer;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.tlk-password-toggle__visible-icon,
.tlk-password-toggle__hidden-icon {
	fill: #777;
	stroke: #777;
}

.tlk-password-toggle__visible-icon,
.tlk-password-toggle__show .tlk-password-toggle__hidden-icon {
	display: none;
}

.tlk-password-toggle__hidden-icon,
.tlk-password-toggle__show .tlk-password-toggle__visible-icon {
	display: block;
}

.tlk-upload {
	margin-top: 8px;
}

.tlk-upload input {
	display: none;
}

.tlk-upload__button {
	position: relative;
	display: inline-block;
	padding: 9px 15px 8px;
	font-size: 0.875rem;
	text-align: center;
	background-color: #181818;
	border-radius: 3px;
	cursor: pointer;
	color: #ffffff;
}

.tlk-upload__preview {
	position: relative;
	max-width: 130px;
	width: 100%;
	margin-top: 8px;
}

.tlk-upload__reset {
	position: absolute;
	top: 5px;
	right: 5px;
	width: 14px;
	height: 14px;
	font-size: 30px;
}

.tlk-upload__reset::before,
.tlk-upload__reset::after {
	content: '';
	position: absolute;
	top: 0px;
	left: 6px;
	height: 15px;
	width: 2px;
	background-color: #333;
}

.tlk-upload__reset::before {
	-webkit-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	transform: rotate(45deg);
}

.tlk-upload__reset::after {
	-webkit-transform: rotate(-45deg);
	-ms-transform: rotate(-45deg);
	transform: rotate(-45deg);
}

.tlk-upload__error {
	display: none;
	margin-top: 5px;
	color: #ea0e0e;
	font-size: 12px;
}

.tlk-upload__error_show {
	display: block;
}

.tlk-radio,
.tlk-checkbox {
	font-size: 14px;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.tlk-radio input,
.tlk-checkbox input {
	display: none;
}

.tlk-radio__text,
.tlk-checkbox__text {
	position: relative;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	color: #000;
	font-size: 14px;
	line-height: 135%;
	cursor: pointer;
}

.tlk-radio__text::before,
.tlk-checkbox__text::before {
	content: '';
	display: inline-block;
	-ms-flex-negative: 0;
	flex-shrink: 0;
	width: 18px;
	height: 18px;
	margin-right: 6px;
	border: 2px solid #000;
	-webkit-transition: 0.2s ease-in-out;
	-o-transition: 0.2s ease-in-out;
	transition: 0.2s ease-in-out;
}

.tlk-radio__text::before {
	border-radius: 50%;
}

.tlk-checkbox__text::after,
.tlk-radio__text::after {
	content: '';
	display: none;
	position: absolute;
}

.tlk-checkbox__text::after {
	left: 6px;
	top: 3px;
	width: 6px;
	height: 10px;
	border: solid #f1876a;
	border-width: 0px 2px 2px 0px;
	-webkit-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	transform: rotate(45deg);
}

.tlk-radio__text::after {
	top: 5.5px;
	left: 5.5px;
	width: 7px;
	height: 7px;
	background-color: #f1876a;
	border-radius: 50%;
}

.tlk-radio:hover .tlk-radio__text::before,
.tlk-checkbox:hover .tlk-checkbox__text::before {
	border-color: #f1876a;
}

.tlk-checkbox input[type='checkbox']:checked ~ span::before,
.tlk-radio input[type='radio']:checked ~ span::before {
	border-color: #f1876a;
}

.tlk-checkbox input[type='checkbox']:checked ~ span::after,
.tlk-radio input[type='radio']:checked ~ span::after {
	display: block;
}

.tlk-select {
	display: inline-block;
	position: relative;
}

.tlk-select::after {
	content: '';
	width: 0;
	height: 0;
	border-style: solid;
	border-width: 5px 4px 0 4px;
	border-color: #9a9a9a transparent transparent transparent;
	position: absolute;
	top: 50%;
	right: 0;
	-webkit-transform: translateY(-50%);
	-ms-transform: translateY(-50%);
	transform: translateY(-50%);
	-webkit-transition: border ease-in-out 0.3s;
	-o-transition: border ease-in-out 0.3s;
	transition: border ease-in-out 0.3s;
}

.tlk-select:hover.tlk-select::after {
	border-color: #f1876a transparent transparent transparent;
}

.tlk-select select {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	border: none;
	background-color: transparent;
	border-radius: 0;
	width: 100%;
	height: 40px;
	padding-right: 20px;
	border-bottom: 1px solid #b5b5b5;
	font: inherit;
	cursor: pointer;
	color: var(--text-color);
}

.tlk-select select::-ms-expand {
	display: none;
}

.tlk-select select,
.tlk-select select:active,
.tlk-select select:focus {
	outline: none !important;
	-webkit-box-shadow: none !important;
	box-shadow: none !important;
}

.tlk-loader {
	position: fixed;
	top: 0px;
	right: 0px;
	bottom: 0px;
	left: 0px;
	background-color: #fff;
	-webkit-transition: opacity 0.2s ease-in-out;
	-o-transition: opacity 0.2s ease-in-out;
	transition: opacity 0.2s ease-in-out;
	z-index: 99999;
}

.tlk-loader__icon {
	position: fixed;
	left: calc(50% - 60px);
	top: calc(50% - 10px);
	width: 120px;
	text-align: center;
	opacity: 0.2;
	z-index: 1000;
}

.tlk-loader__icon span {
	display: inline-block;
	width: 10px;
	height: 10px;
	margin-right: 10px;
	background-color: #000;
	border-radius: 50%;
	opacity: 0;
	-webkit-transform: scale(0.6);
	-ms-transform: scale(0.6);
	transform: scale(0.6);
	-webkit-animation: tlk-loader-spinner 0.4s infinite ease-in-out alternate;
	animation: tlk-loader-spinner 0.4s infinite ease-in-out alternate;
}

.tlk-loader__icon span:nth-child(2) {
	-webkit-animation-delay: 0.1s;
	animation-delay: 0.1s;
}

.tlk-loader__icon span:nth-child(3) {
	margin-right: 0px;
	-webkit-animation-delay: 0.2s;
	animation-delay: 0.2s;
}

@-webkit-keyframes tlk-loader-spinner {
	to {
		opacity: 1;
		-webkit-transform: none;
		transform: none;
	}
}

@keyframes tlk-loader-spinner {
	to {
		opacity: 1;
		-webkit-transform: none;
		transform: none;
	}
}

.tlk-page-error {
	max-width: 1024px;
	width: 100%;
	margin: 0px auto;
	padding: 40px;
	color: #333;
}

.tlk-page-error__title {
	margin-bottom: 12px;
	font-size: 20px;
	font-weight: 500;
}

.tlk-page-error__text {
	margin-bottom: 4px;
}

.tlk-page-error__text a,
.tlk-page-error__text a:hover {
	text-decoration: none;
	color: #fa876b;
}

.tlk-tooltip {
	position: absolute;
	max-width: 250px;
	min-width: 70px;
	padding: 6px 12px;
	background-color: #fff;
	color: #333;
	border-radius: 3px;
	-webkit-box-shadow: 0px 2px 15px rgba(0, 0, 0, 0.15);
	box-shadow: 0px 2px 15px rgba(0, 0, 0, 0.15);
	pointer-events: none;
	z-index: 9999;
}

.tlk-tooltip_theme_dark {
	color: #fff;
	background-color: #333;
}

.tlk-tooltip__text {
	text-transform: none;
	white-space: pre-wrap;
	word-wrap: break-word;
	font-size: 13px;
	line-height: 16px;
}

@media screen and (max-width: 1199px) {
	.tlk-courses_page {
		padding-left: 0px;
	}
}

@media screen and (max-width: 767px) {
	.tlk-btn {
		padding: 10px 30px;
	}

	.tlk-btn_text {
		padding: 0;
	}
}

/* Основные стили для bubble */
.tlk__bubble-container {
	position: fixed;
	bottom: 20px;
	right: 20px;
	display: flex;
	flex-direction: column-reverse;
	align-items: flex-end;
	gap: 10px;
	max-width: 350px;
	width: calc(100% - 40px);
	z-index: 10000000;
}

.tlk__bubble {
	position: relative;
	background-color: #fff;
	border-radius: 10px;
	border: 1px solid rgba(0, 0, 0, 0.2);
	width: 100%;
	animation: cart-fadeInRight 0.3s ease-out;
}

.tlk__bubble_success {
	background-color: rgba(182, 231, 184);
}

.tlk__bubble-close {
	position: absolute;
	right: 10px;
	top: 3px;
	color: #000;
	cursor: pointer;
	font-size: 24px;
	font-weight: lighter;
}

.tlk__bubble-text {
	font-family: 'TildaSans', Arial, sans-serif;
	font-weight: 300;
	color: #000000;
	font-size: 16px;
	padding: 20px 30px;
	cursor: default;
}

.tlk__bubble-text a {
	color: #ff855d;
	text-decoration: underline;
}

@keyframes bubble-notification-fadeInRight {
	from {
		opacity: 0;
		transform: translateX(100%);
	}
	to {
		opacity: 1;
		transform: translateX(0);
	}
}

@keyframes bubble-notification-fadeOutRight {
	from {
		opacity: 1;
		transform: translateX(0);
	}
	to {
		opacity: 0;
		transform: translateX(100%);
	}
}

.tlk__bubble_visible {
	animation: bubble-notification-fadeInRight 0.3s ease-out forwards;
}

.tlk__bubble_hidden {
	animation: bubble-notification-fadeOutRight 0.3s ease-in forwards;
}
